<?xml version="1.0" encoding="UTF-8"?>
<!--  -->
<Configuration status="info">
  <Appenders>
    <Console name="Console" target="SYSTEM_OUT">
      <PatternLayout pattern="%d{HH:mm:ss.SSS} [%t] %-5level %logger{1} - %msg%n"/>
    </Console>
  </Appenders>
  <Loggers>
    <Root level="warn">
      <AppenderRef ref="Console"/>
    </Root>
    <Logger name="com.alkemytech.sophia" level="debug" additivity="false">
      <AppenderRef ref="Console"/>
    </Logger>
  </Loggers>
</Configuration>
<!--  - ->
<Configuration status="warn">
  <Appenders>
    <RollingFile name="RollingFile" fileName="${log4j:configParentLocation}/log/sophia-matcher.log"
                 filePattern="${log4j:configParentLocation}/log/$${date:yyyy-MM}/sophia-matcher-%d{yyyy-MM-dd}-%i.log.gz">
      <PatternLayout>
        <Pattern>%d %p [%t] %c{1} %m%n</Pattern>
      </PatternLayout>
      <Policies>
        <TimeBasedTriggeringPolicy />
        <SizeBasedTriggeringPolicy size="250 MB"/>
      </Policies>
      <DefaultRolloverStrategy max="20"/>
    </RollingFile>
  </Appenders>
  <Loggers>
    <Root level="warn">
      <AppenderRef ref="RollingFile"/>
    </Root>
    <Logger name="com.alkemytech.sophia" level="info" additivity="false">
      <AppenderRef ref="RollingFile"/>
    </Logger>
  </Loggers>
</Configuration>
<!- -  -->